Class to improve handling of PHP sessions

package | miniMVC
subpackage | Libraries

### Methods

## Allow calling of array methods on the object and dynamic methods

    __call(string $name, array $params) : mixed

Inherited

inherited_from | \MM::__call()

### Parameters

#### $name

`string`

#### $params

`array`

### Returns

`mixed`

## Retreive a session value

    __get(string $key) : mixed

### Parameters

#### $key

`string`

### Returns

`mixed`

## Set a session value

    __set(string $key, mixed $val) : void

### Parameters

#### $key

`string`

#### $val

`mixed`

## append()

    append()

Inherited

inherited_from | ArrayObject::append()
inherited_from | \MM::append()

## asort()

    asort()

Inherited

inherited_from | ArrayObject::asort()
inherited_from | \MM::asort()

## count()

    count()

Inherited

inherited_from | ArrayObject::count()
inherited_from | \MM::count()

## Destroy a session

    destroy() : void

## exchangeArray()

    exchangeArray()

Inherited

inherited_from | ArrayObject::exchangeArray()
inherited_from | \MM::exchangeArray()

## getArrayCopy()

    getArrayCopy()

Inherited

inherited_from | ArrayObject::getArrayCopy()
inherited_from | \MM::getArrayCopy()

## getFlags()

    getFlags()

Inherited

inherited_from | ArrayObject::getFlags()
inherited_from | \MM::getFlags()

## getIterator()

    getIterator()

Inherited

inherited_from | ArrayObject::getIterator()
inherited_from | \MM::getIterator()

## getIteratorClass()

    getIteratorClass()

Inherited

inherited_from | ArrayObject::getIteratorClass()
inherited_from | \MM::getIteratorClass()

## Return or create singleton

    get_instance() : \PHP_Session

fluent | This method is part of a fluent interface and will return the same instance

### Returns

`\PHP_Session`

## ksort()

    ksort()

Inherited

inherited_from | ArrayObject::ksort()
inherited_from | \MM::ksort()

## natcasesort()

    natcasesort()

Inherited

inherited_from | ArrayObject::natcasesort()
inherited_from | \MM::natcasesort()

## natsort()

    natsort()

Inherited

inherited_from | ArrayObject::natsort()
inherited_from | \MM::natsort()

## offsetExists()

    offsetExists()

Inherited

inherited_from | ArrayObject::offsetExists()
inherited_from | \MM::offsetExists()

## offsetGet()

    offsetGet()

Inherited

inherited_from | ArrayObject::offsetGet()
inherited_from | \MM::offsetGet()

## offsetSet()

    offsetSet()

Inherited

inherited_from | ArrayObject::offsetSet()
inherited_from | \MM::offsetSet()

## offsetUnset()

    offsetUnset()

Inherited

inherited_from | ArrayObject::offsetUnset()
inherited_from | \MM::offsetUnset()

## serialize()

    serialize()

Inherited

inherited_from | ArrayObject::serialize()
inherited_from | \MM::serialize()

## setFlags()

    setFlags()

Inherited

inherited_from | ArrayObject::setFlags()
inherited_from | \MM::setFlags()

## setIteratorClass()

    setIteratorClass()

Inherited

inherited_from | ArrayObject::setIteratorClass()
inherited_from | \MM::setIteratorClass()

## uasort()

    uasort()

Inherited

inherited_from | ArrayObject::uasort()
inherited_from | \MM::uasort()

## uksort()

    uksort()

Inherited

inherited_from | ArrayObject::uksort()
inherited_from | \MM::uksort()

## unserialize()

    unserialize()

Inherited

inherited_from | ArrayObject::unserialize()
inherited_from | \MM::unserialize()

## Start a session

    __construct()

### Properties

## Instance of the current class

    $instance : \PHP_Session